SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "4.7.150-bs"
SRC_URI = "http://should-already-by-in-dl-dir/linux-bcm7425-4.7.150-bs.tar.gz file://${MACHINE}.config"
SRC_URI[sha256sum] = "ee01901005b17812030f2be2d7fad87d3f37b4b68908a5431832e6d2984faa92"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${MACHINE}.config" "${S}/.config"
}
