PV = "1.12.4+20131108T144644+e00c994-bs"
SRC_URI = "http://should-already-by-in-dl-dir/cairo-bs-1.12.4+20131108T144644+e00c994.tar.gz"
SRC_URI[sha256sum] = "16cdb4dc50e9fd65c2b981beb74c4523567e3aa39ed0dc183bfd1bc51d106d77"
EXTRA_OECONF += "--enable-directfb"
DEPENDS += "directfb"

EXTRA_OECONF_append_cheetah = " --enable-cogl"
DEPENDS_append_cheetah = " cogl-nopango"
EXTRA_OECONF_append_tiger = " --enable-cogl"
DEPENDS_append_tiger = " cogl-nopango"
EXTRA_OECONF_append_bcm97445 = " --enable-cogl"
DEPENDS_append_bcm97445 = " cogl-nopango"
EXTRA_OECONF_append_qemux86 = " --enable-cogl"
DEPENDS_append_qemux86 = " cogl-nopango"
EXTRA_OECONF_append_cheetah-tests = " --enable-cogl"
DEPENDS_append_cheetah-tests = " cogl-nopango"

PR .= "bs5"


SRCREV_FORMAT = "source"

FILESPATH = ""

PKG_CONFIG_PATH_prepend = "${STAGING_DIR_HOST}/${exec_prefix}/cogl-nopango/${baselib}/pkgconfig:"

do_configure_prepend() {
	( cd ${S}
	# create dummy */Makefile.am.features and ChangeLog to make automake happy
	> boilerplate/Makefile.am.features
	> src/Makefile.am.features
	touch ChangeLog
	)
}

LDFLAGS_prepend = "-L${STAGING_DIR_HOST}/cogl-nopango/lib "
CFLAGS_prepend = "-I${STAGING_DIR_HOST}/cogl-nopango/include "


