inherit autotools pkgconfig

SUMMARY = "Multitouch Protocol Translation Library"

DESCRIPTION = " The mtdev is a stand-alone library which transforms all \
variants of kernel MT events to the slotted type B protocol. The events put \
into mtdev may be from any MT device, specifically type A without contact \
tracking, type A with contact tracking, or type B with contact tracking"

HOMEPAGE = "http://bitmath.org/code/mtdev/"
SECTION = "libs"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://COPYING;md5=ea6bd0268bb0fcd6b27698616ceee5d6"

SRC_URI = "http://bitmath.org/code/mtdev/mtdev-${PV}.tar.bz2"
SRC_URI[md5sum] = "8a236569ad3dd79eaeed45f1935359be"
SRC_URI[sha256sum] = "6d4c28b69ddba060cd3c9ae9ec28d4790a96f8211452c22bca1df0ebf86f3695"

PR = "r0"
